// This template is for creating a Strategy that accesses MCumulativeDelta

/*
// Delta Types
DeltaTypeEnum.MBoxPrecisionDelta
DeltaTypeEnum.BidAsk
DeltaTypeEnum.UpDownTick
DeltaTypeEnum.Psuedo
*/

namespace NinjaTrader.NinjaScript.Strategies
{
	public class MApiMCumulativeDeltaStrategy : Strategy
	{
		Indicators.MBoxWaveXE.MCumulativeDelta myCumDelta;
		
		protected override void OnStateChange()
		{
			// Instantiate myCumDelta with period 20 using MBoxPrecisionDelta
			initMCumulativeDelta(ref myCumDelta, 20, DeltaTypeEnum.MBoxPrecisionDelta);
			
			if (State == State.SetDefaults)
			{
				Calculate = Calculate.OnEachTick;
			}
		}

		protected override void OnBarUpdate()
		{
			// Only process main data series
			if (BarsInProgress != 0) return;
			
			// Sync with our indicator instance
			myCumDelta.Update();

			Print("MApiMCumulativeDeltaStrategy: " + myCumDelta.getCumDelta(0));
		}
	}
}
