// This template is for creating a Strategy that accesses XPace

namespace NinjaTrader.NinjaScript.Strategies
{
	public class XApiXPaceStrategy : Strategy
	{
		Indicators.MBoxWaveXE.XPace xpace;

		protected override void OnStateChange()
		{
			// Instantiate xpace
			initXPace(ref xpace);
			
			if (State == State.SetDefaults)
				Calculate = Calculate.OnEachTick;
		}

		protected override void OnBarUpdate()
		{
			// Only process main data series
			if (BarsInProgress != 0) return;

			// Sync
			xpace.Update();
			
			double pace = 0;
			
			// Up Pace
			if (xpace.UpPace[0] != 0) 
				pace = xpace.UpPace[0];
				
			// Down Pace
			else 
				pace = xpace.DownPace[0];

			// Print out the Pace
			if (pace != 0) 
				Print("XApiXPaceStrategy: Pace = " + pace);
		}
	}
}
